package cz.muni.fi.pv243.geocaching.caches.search;

import cz.muni.fi.pv243.geocaching.session.LoggedInUserBean;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import java.io.IOException;

/**
 *
 * @author oja
 */
@ManagedBean(name = "cacheFinderManagedBean")
@ViewScoped
public class CacheFinderManagedBean {
    
    @Inject
    private LoggedInUserBean loggedBean;
       
    private int id;
    private int x;
    private int y;
 
    public void submitCaches() throws IOException {    
        ExternalContext externalContext = FacesContext.getCurrentInstance().getExternalContext();
        externalContext.redirect("/caches.xhtml?x="+x+"&y="+y);
    }
    
    public void submitCache() throws IOException {    
        ExternalContext externalContext = FacesContext.getCurrentInstance().getExternalContext();
        externalContext.redirect("/cache.xhtml?cacheid="+id);
    }
    
    public boolean canBeRendered() {
        return loggedBean.getLoggedInUser()!=null;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }   
    
}

