/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pv243.geocaching.model;

import java.io.Serializable;

/**
 *
 * @author oja
 */
public class Coordinates implements Serializable {
    
    private int X = 0;
    private int Y = 0;

    public Coordinates() {
    }    
    
    public Coordinates(int X, int Y) {
        this.X = X;
        this.Y = Y;
    }

    public int getX() {
        return X;
    }

    public void setX(int X) {
        this.X = X;
    }

    public int getY() {
        return Y;
    }

    public void setY(int Y) {
        this.Y = Y;
    }
    
    public double distanceTo (Coordinates coor) {
        if (coor == null) {
            throw new NullPointerException("Coordinates are null");
        }        
        int lineSegmentX = this.X-coor.getX();
        int lineSegmentY = this.Y-coor.getY();
        return Math.sqrt(lineSegmentX*lineSegmentX+lineSegmentY*lineSegmentY);
    }

    @Override
    public String toString() {
        return "Coordinates{" +
                "X=" + X +
                ", Y=" + Y +
                '}';
    }
}
